Bug 1468552 - (CVE-2017-10987) CVE-2017-10987 freeradius: Buffer over-read in fr_dhcp_decode_suboptions()
CVE-2017-10987 freeradius: Buffer over-read in fr_dhcp_decode_suboptions()
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170717,repor...
: Security
Depends On: 1469422 1469421 1471865
Blocks: 1468570
  Show dependency treegraph
 
Reported: 2017-07-07 07:52 EDT by Adam Mariš
Modified: 2017-08-02 05:48 EDT (History)
6 users (show)

See Also:
Fixed In Version: freeradius 3.0.15
Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read flaw was found in the way FreeRADIUS server handled decoding of DHCP packets. A remote attacker could use this flaw to crash the FreeRADIUS server by sending a specially crafted DHCP request.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 05:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (1.02 KB, patch)
2017-07-07 08:03 EDT, Adam Mariš
no flags Details | Diff

  None (edit)
Description Adam Mariš 2017-07-07 07:52:58 EDT
The fr_dhcp_decode_suboptions() function does not properly check if sub-options overflow the packet. The server can read up to a small number of octets more data than it should. Depending on memory layout, this read may initiate a page fault, and cause the server to crash.

The security impact is denial of service by any network device capable of sending DHCP packets to FreeRADIUS, which sends packets with malformed options.

Affected versions: 3.0.0 through 3.0.14, inclusive.
Comment 1 Adam Mariš 2017-07-07 07:53:05 EDT
Acknowledgments:

Name: the FreeRADIUS project
Upstream: Guido Vranken
Comment 2 Adam Mariš 2017-07-07 08:03 EDT
Created attachment 1295267 [details]
Proposed patch
Comment 5 Dhiru Kholia 2017-07-17 10:40:38 EDT
Created freeradius tracking bugs for this issue:

Affects: fedora-all [bug 1471865]
Comment 6 errata-xmlrpc 2017-08-01 19:25:25 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2389 https://access.redhat.com/errata/RHSA-2017:2389
Comment 7 Dhiru Kholia 2017-08-02 05:42:36 EDT
External References:

http://freeradius.org/security/fuzzer-2017.html

Note You need to log in before you can comment on or make changes to this bug.